Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.data
Enum DinucleotideProperty

    java.lang.Object
      java.lang.Enum<DinucleotideProperty>
          de.jstacs.data.DinucleotideProperty

All Implemented Interfaces:
  Serializable, Comparable<DinucleotideProperty>

    public enum DinucleotideProperty

extends Enum<DinucleotideProperty>

This `enum` defines physicochemical, conformational, and letter-based dinucleotide properties of nucleotide sequences. All dinucleotide parameters are obtained from http://diprodb.fli-leibniz.de/.

Author:
  Jan Grau

Nested Class Summary
`static class` | `DinucleotideProperty.HowCreated` This enum defines the origins of nucleotide properties
`static class` | `DinucleotideProperty.MeanSmoothing` Smoothing by mean using a pre-defined window width.
`static class` | `DinucleotideProperty.MedianSmoothing` Smoothing by median using a pre-defined window width.
`static class` | `DinucleotideProperty.NoSmoothing` Implementation of `DinucleotideProperty.Smoothing` that conducts no smoothing.
`static class` | `DinucleotideProperty.Smoothing` Abstract class for methods that smooth a series of real values.
`static class` | `DinucleotideProperty.Type` This enum defines the types of dinucleotide properties.

Enum Constant Summary
`ADENINE_CONTENT`
`BEND`
`CLASH_STRENGTH`
`CYTOSINE_CONTENT`
`DIRECTION`
`ENTHALPY_RNA_FREIER`
`ENTHALPY_RNA_XIA`
`ENTHALPY_SANTALUCIA`
`ENTHALPY_SUGIMOTO`
`ENTROPY_RNA_FREIER`
`ENTROPY_RNA_XIA`
`ENTROPY_SANTALUCIA`
`ENTROPY_SUGIMOTO`
`FLEXIBILITY_SHIFT`
`FLEXIBILITY_SLIDE`
`FREE_ENERGY_ALLAWI`
`FREE_ENERGY_BRESLAUER`
`FREE_ENERGY_DELCOURT`
`FREE_ENERGY_GOTOH`
`FREE_ENERGY_OWCZARZY`
`FREE_ENERGY_RNA_FREIER`
`FREE_ENERGY_RNA_XIA`
`FREE_ENERGY_SANTALUCIA_1996`
`FREE_ENERGY_SANTALUCIA_2004`
`FREE_ENERGY_SUGIMOTO`
`FREE_ENERGY_VOLOGODSKII`
`GC_CONTENT`
`GUANINE_CONTENT`
`HYDROPHILICITY_RNA_BARZILAY`
`HYDROPHILICITY_RNA_WEBER`
`INCLINATION`
`KETO_GT_CONTENT`
`MAJOR_GROOVE_DEPTH`
`MAJOR_GROOVE_DISTANCE`
`MAJOR_GROOVE_SIZE`
`MAJOR_GROOVE_WIDTH`
`MELTING_TEMPERATURE_ANSELMI`
`MELTING_TEMPERATURE_GOTOH`
`MINOR_GROOVE_DEPTH`
`MINOR_GROOVE_DISTANCE`
`MINOR_GROOVE_SIZE`
`MINOR_GROOVE_WIDTH`
`MOBILITY_TO_BEND_TOWARDS_MAJOR_GROOVE`
`MOBILITY_TO_BEND_TOWARDS_MINOR_GROOVE`
`PERSISTANCE_LENGTH`
`PROBABILITY_CONTACTING_NUCLEOSOME_CORE`
`PROPELLER_TWIST`
`PURINE_AG_CONTENT`
`RISE_DNA_PROTEIN_COMPLEX_OLSON`
`RISE_DNA_PROTEIN_COMPLEX_SUZUKI`
`RISE_KARAS`
`RISE_PEREZ`
`RISE_RISE`
`RISE_RNA`
`RISE_STIFFNESS`
`RISE_SUZUKI`
`ROLL_ANSELMI`
`ROLL_DNA_PROTEIN_COMPLEX_OLSON`
`ROLL_DNA_PROTEIN_COMPLEX_SUZUKI`
`ROLL_GORIN`
`ROLL_PACKER`
`ROLL_PEREZ`
`ROLL_RISE`
`ROLL_RNA`
`ROLL_ROLL`
`ROLL_SHIFT`
`ROLL_SLIDE`
`ROLL_STIFFNESS`
`ROLL_SUZUKI`
`SHIFT_DNA_PROTEIN_COMPLEX_OLSON`
`SHIFT_DNA_PROTEIN_COMPLEX_SUZUKI`
`SHIFT_PEREZ`
`SHIFT_RISE`
`SHIFT_RNA`
`SHIFT_SHIFT`
`SHIFT_SLIDE`
`SHIFT_STIFFNESS`
`SHIFT_SUZUKI`
`SLIDE_DNA_PROTEIN_COMPLEX_OLSON`
`SLIDE_DNA_PROTEIN_COMPLEX_SUZUKI`
`SLIDE_GORIN`
`SLIDE_PEREZ`
`SLIDE_RISE`
`SLIDE_RNA`
`SLIDE_SLIDE`
`SLIDE_STIFFNESS`
`SLIDE_SUZUKI`
`STACKING_ENERGY_ANSELMI`
`STACKING_ENERGY_PEREZ`
`STACKING_ENERGY_RNA`
`STACKING_ENERGY_SPONER`
`STACKING_ENERGY_USSERY`
`THYMINE_CONTENT`
`TILT_ANSELMI`
`TILT_DNA_PROTEIN_COMPLEX_OLSON`
`TILT_DNA_PROTEIN_COMPLEX_SUZUKI`
`TILT_GORIN`
`TILT_PEREZ`
`TILT_RISE`
`TILT_RNA`
`TILT_ROLL`
`TILT_SHIFT`
`TILT_SLIDE`
`TILT_STIFFNESS`
`TILT_SUZUKI`
`TILT_TILT`
`TIP`
`TWIST_ANSELMI`
`TWIST_DNA_PROTEIN_COMPLEX_OLSON`
`TWIST_DNA_PROTEIN_COMPLEX_SUZUKI`
`TWIST_GORIN`
`TWIST_KARAS`
`TWIST_PACKER`
`TWIST_PEREZ`
`TWIST_RISE`
`TWIST_RNA`
`TWIST_ROLL`
`TWIST_SHIFT`
`TWIST_SHPIGELMAN`
`TWIST_SLIDE`
`TWIST_STIFFNESS`
`TWIST_SUZUKI`
`TWIST_TILT`
`TWIST_TWIST`
`WEDGE`

Field Summary
`static DinucleotideProperty.Smoothing` | `NO_SMOOTHING`

Method Summary
`static DinucleotideProperty[]` | `filterProperties(String nucleicAcid, Boolean doubleStrand, DinucleotideProperty.HowCreated howCreated, DinucleotideProperty.Type type, String dimension)` Filters all `DinucleotideProperty`s by some of their annotations.
`String` | `getComments()` Returns additional comments on this property.
`String` | `getDimension()` Returns the dimension of this property, e.g. kcal/mol or angstroem.
`double[][]` | `getDinucleotideParameters()` Returns the dinucleotide parameters of this `DinucleotideProperty` as a two-dimensional `double` array, where the rows correspond to the first nucleotide and the columns correspond to the second nucleotide in the dinucleotide in order A, C, G, and T.
`DinucleotideProperty.HowCreated` | `getHowCreated()` Returns how this property has been determined.
`String` | `getNucleicAcid()` Returns the kind of nucleic acid, e.g.
`double[]` | `getProperty(Sequence original)` Computes this dinucleotide property for all overlapping twomers in `original` and returns the result as a `double` array of length `original.getLength()-1`
`double[]` | `getProperty(Sequence original, DinucleotideProperty.Smoothing smoothing)` Computes this dinucleotide property for all overlapping twomers in `original`, smoothes the result using `smoothing`, and returns the smoothed property as a `double` array.
`Sequence` | `getPropertyAsSequence(Sequence original)` Computes this dinucleotide property for all overlapping twomers in `original` and returns the result as a `Sequence` of length `original.getLength()-1`
`Sequence` | `getPropertyAsSequence(Sequence original, DinucleotideProperty.Smoothing smoothing)` Computes this dinucleotide property for all overlapping twomers in `original`, smoothes the result using `smoothing`, and returns the smoothed property as a `Sequence`.
`static ImageResult` | `getPropertyImage(Sample original, DinucleotideProperty prop, DinucleotideProperty.Smoothing smoothing, REnvironment re, int xLeft, String pltOptions, int width, int height)`
`static ImageResult` | `getPropertyImage(Sequence original, DinucleotideProperty prop, DinucleotideProperty.Smoothing smoothing, REnvironment re, int xLeft, String pltOptions, int width, int height)`
`String` | `getPubMedID()` Returns the PubMed ID of the publication where the parameters of this property has been published.
`String` | `getReference()` Returns the reference of the publication where the parameters of this property has been published.
`static Sample` | `getSampleForProperty(Sample original, DinucleotideProperty... properties)` Creates a new `Sample` by converting each `Sequence` in `original` to the `DinucleotideProperty`s `properties` and setting these as `ReferenceSequenceAnnotation` of each original sequence.
`static Sample` | `getSampleForProperty(Sample original, DinucleotideProperty.Smoothing smoothing, boolean addToAnnotation, DinucleotideProperty... properties)` Creates a new `Sample` by converting each `Sequence` in `original` to the `DinucleotideProperty`s `properties` and adding or setting these as `ReferenceSequenceAnnotation` of each original sequence.
`static Sample` | `getSampleForProperty(Sample original, DinucleotideProperty.Smoothing smoothing, boolean originalAsAnnotation, DinucleotideProperty property)` Creates a new `Sample` by converting each `Sequence` in `original` to the `DinucleotideProperty` `property` using the `DinucleotideProperty.Smoothing` smoothing.
`static Sample` | `getSampleForProperty(Sample original, DinucleotideProperty property)` Creates a new `Sample` by converting each `Sequence` in `original` to the `DinucleotideProperty` `property`.
`DinucleotideProperty.Type` | `getType()` Returns the type of this property.
`boolean` | `isDoubleStrand()` Returns `true` if this property has been determined for a double-stranded nucleic acid.
`static DinucleotideProperty` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DinucleotideProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TWIST_KARAS

    public static final DinucleotideProperty TWIST_KARAS

### STACKING_ENERGY_SPONER

    public static final DinucleotideProperty STACKING_ENERGY_SPONER

### RISE_KARAS

    public static final DinucleotideProperty RISE_KARAS

### BEND

    public static final DinucleotideProperty BEND

### TIP

    public static final DinucleotideProperty TIP

### INCLINATION

    public static final DinucleotideProperty INCLINATION

### MAJOR_GROOVE_WIDTH

    public static final DinucleotideProperty MAJOR_GROOVE_WIDTH

### MAJOR_GROOVE_DEPTH

    public static final DinucleotideProperty MAJOR_GROOVE_DEPTH

### MAJOR_GROOVE_SIZE

    public static final DinucleotideProperty MAJOR_GROOVE_SIZE

### MAJOR_GROOVE_DISTANCE

    public static final DinucleotideProperty MAJOR_GROOVE_DISTANCE

### MINOR_GROOVE_WIDTH

    public static final DinucleotideProperty MINOR_GROOVE_WIDTH

### MINOR_GROOVE_DEPTH

    public static final DinucleotideProperty MINOR_GROOVE_DEPTH

### MINOR_GROOVE_SIZE

    public static final DinucleotideProperty MINOR_GROOVE_SIZE

### MINOR_GROOVE_DISTANCE

    public static final DinucleotideProperty MINOR_GROOVE_DISTANCE

### PERSISTANCE_LENGTH

    public static final DinucleotideProperty PERSISTANCE_LENGTH

### MELTING_TEMPERATURE_GOTOH

    public static final DinucleotideProperty MELTING_TEMPERATURE_GOTOH

### PROBABILITY_CONTACTING_NUCLEOSOME_CORE

    public static final DinucleotideProperty PROBABILITY_CONTACTING_NUCLEOSOME_CORE

### MOBILITY_TO_BEND_TOWARDS_MAJOR_GROOVE

    public static final DinucleotideProperty MOBILITY_TO_BEND_TOWARDS_MAJOR_GROOVE

### MOBILITY_TO_BEND_TOWARDS_MINOR_GROOVE

    public static final DinucleotideProperty MOBILITY_TO_BEND_TOWARDS_MINOR_GROOVE

### PROPELLER_TWIST

    public static final DinucleotideProperty PROPELLER_TWIST

### CLASH_STRENGTH

    public static final DinucleotideProperty CLASH_STRENGTH

### ENTHALPY_SUGIMOTO

    public static final DinucleotideProperty ENTHALPY_SUGIMOTO

### ENTROPY_SUGIMOTO

    public static final DinucleotideProperty ENTROPY_SUGIMOTO

### SHIFT_RNA

    public static final DinucleotideProperty SHIFT_RNA

### ROLL_DNA_PROTEIN_COMPLEX_SUZUKI

    public static final DinucleotideProperty ROLL_DNA_PROTEIN_COMPLEX_SUZUKI

### TWIST_DNA_PROTEIN_COMPLEX_SUZUKI

    public static final DinucleotideProperty TWIST_DNA_PROTEIN_COMPLEX_SUZUKI

### TILT_DNA_PROTEIN_COMPLEX_SUZUKI

    public static final DinucleotideProperty TILT_DNA_PROTEIN_COMPLEX_SUZUKI

### SLIDE_DNA_PROTEIN_COMPLEX_SUZUKI

    public static final DinucleotideProperty SLIDE_DNA_PROTEIN_COMPLEX_SUZUKI

### HYDROPHILICITY_RNA_WEBER

    public static final DinucleotideProperty HYDROPHILICITY_RNA_WEBER

### SHIFT_DNA_PROTEIN_COMPLEX_SUZUKI

    public static final DinucleotideProperty SHIFT_DNA_PROTEIN_COMPLEX_SUZUKI

### HYDROPHILICITY_RNA_BARZILAY

    public static final DinucleotideProperty HYDROPHILICITY_RNA_BARZILAY

### RISE_DNA_PROTEIN_COMPLEX_SUZUKI

    public static final DinucleotideProperty RISE_DNA_PROTEIN_COMPLEX_SUZUKI

### STACKING_ENERGY_USSERY

    public static final DinucleotideProperty STACKING_ENERGY_USSERY

### FREE_ENERGY_DELCOURT

    public static final DinucleotideProperty FREE_ENERGY_DELCOURT

### FREE_ENERGY_BRESLAUER

    public static final DinucleotideProperty FREE_ENERGY_BRESLAUER

### FREE_ENERGY_VOLOGODSKII

    public static final DinucleotideProperty FREE_ENERGY_VOLOGODSKII

### TWIST_DNA_PROTEIN_COMPLEX_OLSON

    public static final DinucleotideProperty TWIST_DNA_PROTEIN_COMPLEX_OLSON

### FREE_ENERGY_GOTOH

    public static final DinucleotideProperty FREE_ENERGY_GOTOH

### TWIST_TWIST

    public static final DinucleotideProperty TWIST_TWIST

### TILT_TILT

    public static final DinucleotideProperty TILT_TILT

### ROLL_ROLL

    public static final DinucleotideProperty ROLL_ROLL

### TWIST_TILT

    public static final DinucleotideProperty TWIST_TILT

### TWIST_ROLL

    public static final DinucleotideProperty TWIST_ROLL

### TILT_ROLL

    public static final DinucleotideProperty TILT_ROLL

### SHIFT_SHIFT

    public static final DinucleotideProperty SHIFT_SHIFT

### SLIDE_SLIDE

    public static final DinucleotideProperty SLIDE_SLIDE

### RISE_RISE

    public static final DinucleotideProperty RISE_RISE

### SHIFT_SLIDE

    public static final DinucleotideProperty SHIFT_SLIDE

### SHIFT_RISE

    public static final DinucleotideProperty SHIFT_RISE

### SLIDE_RISE

    public static final DinucleotideProperty SLIDE_RISE

### TWIST_SHIFT

    public static final DinucleotideProperty TWIST_SHIFT

### TWIST_SLIDE

    public static final DinucleotideProperty TWIST_SLIDE

### TWIST_RISE

    public static final DinucleotideProperty TWIST_RISE

### TILT_SHIFT

    public static final DinucleotideProperty TILT_SHIFT

### TILT_SLIDE

    public static final DinucleotideProperty TILT_SLIDE

### TILT_RISE

    public static final DinucleotideProperty TILT_RISE

### ROLL_SHIFT

    public static final DinucleotideProperty ROLL_SHIFT

### ROLL_SLIDE

    public static final DinucleotideProperty ROLL_SLIDE

### ROLL_RISE

    public static final DinucleotideProperty ROLL_RISE

### STACKING_ENERGY_PEREZ

    public static final DinucleotideProperty STACKING_ENERGY_PEREZ

### TWIST_PEREZ

    public static final DinucleotideProperty TWIST_PEREZ

### TILT_PEREZ

    public static final DinucleotideProperty TILT_PEREZ

### ROLL_PEREZ

    public static final DinucleotideProperty ROLL_PEREZ

### SHIFT_PEREZ

    public static final DinucleotideProperty SHIFT_PEREZ

### SLIDE_PEREZ

    public static final DinucleotideProperty SLIDE_PEREZ

### RISE_PEREZ

    public static final DinucleotideProperty RISE_PEREZ

### SLIDE_STIFFNESS

    public static final DinucleotideProperty SLIDE_STIFFNESS

### SHIFT_STIFFNESS

    public static final DinucleotideProperty SHIFT_STIFFNESS

### ROLL_STIFFNESS

    public static final DinucleotideProperty ROLL_STIFFNESS

### TILT_STIFFNESS

    public static final DinucleotideProperty TILT_STIFFNESS

### TWIST_STIFFNESS

    public static final DinucleotideProperty TWIST_STIFFNESS

### FREE_ENERGY_SUGIMOTO

    public static final DinucleotideProperty FREE_ENERGY_SUGIMOTO

### FREE_ENERGY_ALLAWI

    public static final DinucleotideProperty FREE_ENERGY_ALLAWI

### FREE_ENERGY_SANTALUCIA_1996

    public static final DinucleotideProperty FREE_ENERGY_SANTALUCIA_1996

### FREE_ENERGY_OWCZARZY

    public static final DinucleotideProperty FREE_ENERGY_OWCZARZY

### GC_CONTENT

    public static final DinucleotideProperty GC_CONTENT

### PURINE_AG_CONTENT

    public static final DinucleotideProperty PURINE_AG_CONTENT

### KETO_GT_CONTENT

    public static final DinucleotideProperty KETO_GT_CONTENT

### ADENINE_CONTENT

    public static final DinucleotideProperty ADENINE_CONTENT

### GUANINE_CONTENT

    public static final DinucleotideProperty GUANINE_CONTENT

### CYTOSINE_CONTENT

    public static final DinucleotideProperty CYTOSINE_CONTENT

### THYMINE_CONTENT

    public static final DinucleotideProperty THYMINE_CONTENT

### TILT_DNA_PROTEIN_COMPLEX_OLSON

    public static final DinucleotideProperty TILT_DNA_PROTEIN_COMPLEX_OLSON

### ROLL_DNA_PROTEIN_COMPLEX_OLSON

    public static final DinucleotideProperty ROLL_DNA_PROTEIN_COMPLEX_OLSON

### SHIFT_DNA_PROTEIN_COMPLEX_OLSON

    public static final DinucleotideProperty SHIFT_DNA_PROTEIN_COMPLEX_OLSON

### SLIDE_DNA_PROTEIN_COMPLEX_OLSON

    public static final DinucleotideProperty SLIDE_DNA_PROTEIN_COMPLEX_OLSON

### RISE_DNA_PROTEIN_COMPLEX_OLSON

    public static final DinucleotideProperty RISE_DNA_PROTEIN_COMPLEX_OLSON

### TWIST_GORIN

    public static final DinucleotideProperty TWIST_GORIN

### TILT_GORIN

    public static final DinucleotideProperty TILT_GORIN

### ROLL_GORIN

    public static final DinucleotideProperty ROLL_GORIN

### SLIDE_GORIN

    public static final DinucleotideProperty SLIDE_GORIN

### TWIST_SUZUKI

    public static final DinucleotideProperty TWIST_SUZUKI

### TILT_SUZUKI

    public static final DinucleotideProperty TILT_SUZUKI

### ROLL_SUZUKI

    public static final DinucleotideProperty ROLL_SUZUKI

### SHIFT_SUZUKI

    public static final DinucleotideProperty SHIFT_SUZUKI

### SLIDE_SUZUKI

    public static final DinucleotideProperty SLIDE_SUZUKI

### RISE_SUZUKI

    public static final DinucleotideProperty RISE_SUZUKI

### TWIST_SHPIGELMAN

    public static final DinucleotideProperty TWIST_SHPIGELMAN

### WEDGE

    public static final DinucleotideProperty WEDGE

### DIRECTION

    public static final DinucleotideProperty DIRECTION

### SLIDE_RNA

    public static final DinucleotideProperty SLIDE_RNA

### RISE_RNA

    public static final DinucleotideProperty RISE_RNA

### TILT_RNA

    public static final DinucleotideProperty TILT_RNA

### ROLL_RNA

    public static final DinucleotideProperty ROLL_RNA

### TWIST_RNA

    public static final DinucleotideProperty TWIST_RNA

### STACKING_ENERGY_RNA

    public static final DinucleotideProperty STACKING_ENERGY_RNA

### RISE_STIFFNESS

    public static final DinucleotideProperty RISE_STIFFNESS

### MELTING_TEMPERATURE_ANSELMI

    public static final DinucleotideProperty MELTING_TEMPERATURE_ANSELMI

### STACKING_ENERGY_ANSELMI

    public static final DinucleotideProperty STACKING_ENERGY_ANSELMI

### ENTHALPY_RNA_FREIER

    public static final DinucleotideProperty ENTHALPY_RNA_FREIER

### ENTROPY_RNA_FREIER

    public static final DinucleotideProperty ENTROPY_RNA_FREIER

### FREE_ENERGY_RNA_FREIER

    public static final DinucleotideProperty FREE_ENERGY_RNA_FREIER

### FREE_ENERGY_RNA_XIA

    public static final DinucleotideProperty FREE_ENERGY_RNA_XIA

### ENTHALPY_RNA_XIA

    public static final DinucleotideProperty ENTHALPY_RNA_XIA

### ENTROPY_RNA_XIA

    public static final DinucleotideProperty ENTROPY_RNA_XIA

### ROLL_ANSELMI

    public static final DinucleotideProperty ROLL_ANSELMI

### TILT_ANSELMI

    public static final DinucleotideProperty TILT_ANSELMI

### TWIST_ANSELMI

    public static final DinucleotideProperty TWIST_ANSELMI

### ROLL_PACKER

    public static final DinucleotideProperty ROLL_PACKER

### TWIST_PACKER

    public static final DinucleotideProperty TWIST_PACKER

### FLEXIBILITY_SLIDE

    public static final DinucleotideProperty FLEXIBILITY_SLIDE

### FLEXIBILITY_SHIFT

    public static final DinucleotideProperty FLEXIBILITY_SHIFT

### ENTHALPY_SANTALUCIA

    public static final DinucleotideProperty ENTHALPY_SANTALUCIA

### ENTROPY_SANTALUCIA

    public static final DinucleotideProperty ENTROPY_SANTALUCIA

### FREE_ENERGY_SANTALUCIA_2004

    public static final DinucleotideProperty FREE_ENERGY_SANTALUCIA_2004

Field Detail

### NO_SMOOTHING

    public static final DinucleotideProperty.Smoothing NO_SMOOTHING

Method Detail

### values

    public static DinucleotideProperty[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DinucleotideProperty c : DinucleotideProperty.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DinucleotideProperty valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getProperty

    public double[] getProperty(Sequence original,
                                DinucleotideProperty.Smoothing smoothing)
                         throws WrongSequenceTypeException

  Computes this dinucleotide property for all overlapping twomers in `original`, smoothes the result using `smoothing`, and returns the smoothed property as a `double` array. The length of this `double` array depends on the smoothing applied.

  Parameters:
    `original` - the original nucleotide sequence
    `smoothing` - the smoothing applied to the property values
  Returns:
    the smoothed property for all overlapping twomers
  Throws:
    `WrongSequenceTypeException` - if `original` is not a DNA sequence

### getProperty

    public double[] getProperty(Sequence original)
                         throws WrongSequenceTypeException

  Computes this dinucleotide property for all overlapping twomers in `original` and returns the result as a `double` array of length `original.getLength()-1`

  Parameters:
    `original` - the original nucleotide sequence
  Returns:
    the property for all overlapping twomers
  Throws:
    `WrongSequenceTypeException` - if `original` is not a DNA sequence

### getPropertyAsSequence

    public Sequence getPropertyAsSequence(Sequence original)
                                   throws WrongAlphabetException,
                                          WrongSequenceTypeException

  Computes this dinucleotide property for all overlapping twomers in `original` and returns the result as a `Sequence` of length `original.getLength()-1`

  Parameters:
    `original` - the original nucleotide sequence
  Returns:
    the property for all overlapping twomers
  Throws:
    `WrongSequenceTypeException` - if `original` is not a DNA sequence
    `WrongAlphabetException`

### getPropertyAsSequence

    public Sequence getPropertyAsSequence(Sequence original,
                                          DinucleotideProperty.Smoothing smoothing)
                                   throws WrongSequenceTypeException

  Computes this dinucleotide property for all overlapping twomers in `original`, smoothes the result using `smoothing`, and returns the smoothed property as a `Sequence`. The length of this `Sequence` depends on the smoothing applied.

  Parameters:
    `original` - the original nucleotide sequence
    `smoothing` - the smoothing applied to the property values
  Returns:
    the smoothed property for all overlapping twomers
  Throws:
    `WrongSequenceTypeException` - if `original` is not a DNA sequence

### getDinucleotideParameters

    public double[][] getDinucleotideParameters()

  Returns the dinucleotide parameters of this `DinucleotideProperty` as a two-dimensional `double` array, where the rows correspond to the first nucleotide and the columns correspond to the second nucleotide in the dinucleotide in order A, C, G, and T.

  Returns:
    the dinucleotide parameters

### getNucleicAcid

    public String getNucleicAcid()

  Returns the kind of nucleic acid, e.g. RNA, DNA, this property has been determined for.

  Returns:
    the kind of nucleic acid

### isDoubleStrand

    public boolean isDoubleStrand()

  Returns `true` if this property has been determined for a double-stranded nucleic acid.

  Returns:
    `true` if this property has been determined for a double-stranded nucleic acid

### getReference

    public String getReference()

  Returns the reference of the publication where the parameters of this property has been published.

  Returns:
    the reference

### getPubMedID

    public String getPubMedID()

  Returns the PubMed ID of the publication where the parameters of this property has been published.

  Returns:
    the PubMed ID

### getHowCreated

    public DinucleotideProperty.HowCreated getHowCreated()

  Returns how this property has been determined.

  Returns:
    one of `DinucleotideProperty.HowCreated`

### getType

    public DinucleotideProperty.Type getType()

  Returns the type of this property.

  Returns:
    one of `DinucleotideProperty.Type`

### getDimension

    public String getDimension()

  Returns the dimension of this property, e.g. kcal/mol or angstroem.

  Returns:
    the dimension

### getComments

    public String getComments()

  Returns additional comments on this property.

  Returns:
    the comments

### filterProperties

    public static DinucleotideProperty[] filterProperties(String nucleicAcid,
                                                          Boolean doubleStrand,
                                                          DinucleotideProperty.HowCreated howCreated,
                                                          DinucleotideProperty.Type type,
                                                          String dimension)

  Filters all `DinucleotideProperty`s by some of their annotations.

  Parameters:
    `nucleicAcid` - the kind of the nucleic acid or `null` if no filter shall be applied
    `doubleStrand` - the strandedness or `null` if no filter shall be applied
    `howCreated` - the kind of creation or `null` if no filter shall be applied
    `type` - the type of the property or `null` if no filter shall be applied
    `dimension` - the dimension of the property or `null` if no filter shall be applied
  Returns:
    a filtered subset of `DinucleotideProperty`s

### getSampleForProperty

    public static Sample getSampleForProperty(Sample original,
                                              DinucleotideProperty property)
                                       throws WrongSequenceTypeException

  Creates a new `Sample` by converting each `Sequence` in `original` to the `DinucleotideProperty` `property`.

  Parameters:
    `original` - `Sample` containing the original `Sequence`s
    `property` - the property
  Returns:
    the converted `Sequence`s as a `Sample`
  Throws:
    `WrongSequenceTypeException` - if `original` contains non-DNA sequences

### getSampleForProperty

    public static Sample getSampleForProperty(Sample original,
                                              DinucleotideProperty.Smoothing smoothing,
                                              boolean originalAsAnnotation,
                                              DinucleotideProperty property)
                                       throws WrongSequenceTypeException

  Creates a new `Sample` by converting each `Sequence` in `original` to the `DinucleotideProperty` `property` using the `DinucleotideProperty.Smoothing` smoothing.

  Parameters:
    `original` - `Sample` containing the original `Sequence`s
    `smoothing` - the smoothing
    `originalAsAnnotation` - if `true`, the original `Sequence` is added as a `ReferenceSequenceAnnotation` to each converted `Sequence`
    `property` - the property
  Returns:
    the converted `Sequence`s as a `Sample`
  Throws:
    `WrongSequenceTypeException` - if `original` contains non-DNA sequences

### getSampleForProperty

    public static Sample getSampleForProperty(Sample original,
                                              DinucleotideProperty... properties)
                                       throws WrongSequenceTypeException

  Creates a new `Sample` by converting each `Sequence` in `original` to the `DinucleotideProperty`s `properties` and setting these as `ReferenceSequenceAnnotation` of each original sequence.

  Parameters:
    `original` - `Sample` containing the original `Sequence`s
    `properties` - the properties
  Returns:
    the annotated `Sequence`s as a `Sample`
  Throws:
    `WrongSequenceTypeException` - if `original` contains non-DNA sequences

### getSampleForProperty

    public static Sample getSampleForProperty(Sample original,
                                              DinucleotideProperty.Smoothing smoothing,
                                              boolean addToAnnotation,
                                              DinucleotideProperty... properties)
                                       throws WrongSequenceTypeException

  Creates a new `Sample` by converting each `Sequence` in `original` to the `DinucleotideProperty`s `properties` and adding or setting these as `ReferenceSequenceAnnotation` of each original sequence.

  Parameters:
    `original` - `Sample` containing the original `Sequence`s
    `smoothing` - the smoothing
    `addToAnnotation` - if `true` the converted `Sequence`s are added to the current annotation, otherwise the current annotation is replaced
    `properties` - the properties
  Throws:
    `WrongSequenceTypeException` - if `original` contains non-DNA sequences

### getPropertyImage

    public static ImageResult getPropertyImage(Sequence original,
                                               DinucleotideProperty prop,
                                               DinucleotideProperty.Smoothing smoothing,
                                               REnvironment re,
                                               int xLeft,
                                               String pltOptions,
                                               int width,
                                               int height)
                                        throws Exception

  Throws:
    `Exception`

### getPropertyImage

    public static ImageResult getPropertyImage(Sample original,
                                               DinucleotideProperty prop,
                                               DinucleotideProperty.Smoothing smoothing,
                                               REnvironment re,
                                               int xLeft,
                                               String pltOptions,
                                               int width,
                                               int height)
                                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD